Subject: bug#13154: 24.3.50; emacs_backtrace.txt (different one)

From: martin rudalics <[email-masked]>
Date: Fri, 14 Dec 2012 17:13:21 +0100

> No, `save-excursion'.  It is `save-excursion' that occurs in the vanilla Emacs
 > 22 code, in both cases (vanilla `describe-function' and `describe-variable', for
 > Emacs 22 and prior).  Emacs was "evil" for decades...

... as I said in my other mail I'm looking for `save-window-excursion'.

 > 2. In pp-c-l.el.  I do use this one.
 >
 > (add-hook 'window-configuration-change-hook
 >           'refresh-pretty-control-l)
 >
 > (defun refresh-pretty-control-l ()
 >   "Reinitialize `pretty-control-l-mode', if on, to update the display."
 >   (interactive)
 >   (when pretty-control-l-mode (pretty-control-l-mode t)))
 >
 > `pretty-control-l-mode' is a global minor mode that does only this:
 >
 > (walk-windows
 >   (lambda (window)
 >     (let ((display-table  (or (window-display-table window)
 >                               (make-display-table))))
 >       (aset display-table ?\014
 >             (and pretty-control-l-mode
 >                  (pp^L-^L-display-table-entry window)))
 >       (set-window-display-table window display-table)))
 >   'no-minibuf
 >   'visible)

If this were the culprit we'd probably see the corresponding calls in
the backtrace.

martin